Package org.gradle.tooling.model.eclipse

## Interface EclipseExternalDependency

- All Superinterfaces:
    `Dependency`, `EclipseClasspathEntry`, `ExternalDependency`

      public interface EclipseExternalDependency
      extends ExternalDependency, EclipseClasspathEntry

  Represents an Eclipse-specific external artifact dependency.
  Since:
    2.14

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.tooling.model.eclipse.EclipseClasspathEntry

      `getAccessRules, getClasspathAttributes`

    - ### Methods inherited from interface org.gradle.tooling.model.ExternalDependency

      `getFile, getGradleModuleVersion, getJavadoc, getSource, isExported`